### Method

# WebKit WebExtensionMatchPattern matches_pattern

#### Declaration [src]

    gboolean
    webkit_web_extension_match_pattern_matches_pattern (
      WebKitWebExtensionMatchPattern* matchPattern,
      WebKitWebExtensionMatchPattern* pattern,
      WebKitWebExtensionMatchPatternOptions options
    )

#### Description [src]

Matches the `matchPattern` against the specified `pattern` with options.

Available since: | 2.48

#### Parameters

`pattern` | `WebKitWebExtensionMatchPattern`
| The `WebKitWebExtensionMatchPattern` to match with `matchPattern`.
| The data is owned by the caller of the function.
`options` | `WebKitWebExtensionMatchPatternOptions`
| The `WebKitWebExtensionMatchPatternOptions` use while matching.

#### Return value

Returns: | `gboolean`
| Whether the pattern matches the specified `pattern`.